Scraper
Cancel Bulk Scraper Job
Cancel pending URLs from a bulk scraper job by scraper ID.
Note
Use the V3 Platform API Server (https://api.app.mrscraper.com) host when calling this endpoint.
Authorization
apiKey x-api-token<token>
In: header
Path Parameters
scraperId*string
Bulk scraper ID
Format
uuidResponse Body
application/json
application/json
application/json
application/json
application/json
curl -X PATCH "https://api.app.mrscraper.com/api/v1/scrapers-bulks/a1635386-fb1c-4d12-84ec-7b071d2792c4/cancel"{
"message": "Successful operation!",
"data": {
"id": "a1635386-fb1c-4d12-84ec-7b071d2792c4",
"bulkUrls": [
"https://books.toscrape.com/catalogue/page-1.html",
"https://books.toscrape.com/catalogue/page-2.html",
"https://books.toscrape.com/catalogue/page-3.html",
"https://books.toscrape.com/catalogue/page-4.html",
"https://books.toscrape.com/catalogue/page-5.html",
"https://books.toscrape.com/catalogue/page-6.html",
"https://books.toscrape.com/catalogue/page-7.html"
],
"canceledUrls": [
"https://books.toscrape.com/catalogue/page-5.html",
"https://books.toscrape.com/catalogue/page-6.html",
"https://books.toscrape.com/catalogue/page-7.html"
]
}
}{
"message": "Invalid or missing API token",
"error": "Unauthorized",
"statusCode": 401
}{
"message": "Resource not found",
"error": "Not Found",
"statusCode": 404
}{
"message": "Validation failed",
"error": "Unprocessable Entity",
"statusCode": 422
}{
"message": "An unexpected error occurred",
"error": "Internal Server Error",
"statusCode": 500
}